- Home
- API Enriched
- Ce Management
- config
- Log Anonymization Mode.
Log Anonymization Mode.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/fleets/example/set-log-anonymization';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"enabled":true,"name":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/fleets/example/set-log-anonymization \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "enabled": true, "name": "example", "namespace": "example" }'Set log anonymization choice for the fleet Object.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace of the Fleet object
Namespace of the Fleet object.
Name of the Fleet object
Name of the Fleet object.
Request Bodyrequired
Section titled “Request Bodyrequired”Request message for setting log anonymization choice for the fleet Object.
object
Log anonymization enablement for the fleet Object, false to disable and true to enable.
Name of the Fleet object.
Namespace of the Fleet object.
Examplegenerated
{ "enabled": true, "name": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Response message for setting log anonymization for the fleet Object.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example